import request from '@/utils/request'

// 查询目标完成判定标准列表
export function listTargetyardstick(query) {
  return request({
    url: '/plant/targetyardstick/list',
    method: 'get',
    params: query
  })
}

// 查询目标完成判定标准详细
export function getTargetyardstick(id) {
  return request({
    url: '/plant/targetyardstick/' + id,
    method: 'get'
  })
}

// 新增目标完成判定标准
export function addTargetyardstick(data) {
  return request({
    url: '/plant/targetyardstick',
    method: 'post',
    data: data
  })
}

// 修改目标完成判定标准
export function updateTargetyardstick(data) {
  return request({
    url: '/plant/targetyardstick',
    method: 'put',
    data: data
  })
}

// 删除目标完成判定标准
export function delTargetyardstick(id) {
  return request({
    url: '/plant/targetyardstick/' + id,
    method: 'delete'
  })
}

// 导出目标完成判定标准
export function exportTargetyardstick(query) {
  return request({
    url: '/plant/targetyardstick/export',
    method: 'get',
    params: query
  })
}
